Bug 24872 - Set languages system preferences after web install
Summary: Set languages system preferences after web install
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-15 22:45 UTC by Bernardo Gonzalez Kriegel
Modified: 2020-04-17 02:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24872: Set languages prefererences after install (2.28 KB, patch)
2020-03-15 23:20 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24872: Set languages prefererences after install (2.33 KB, patch)
2020-03-23 13:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24872: Set languages prefererences after install (2.41 KB, patch)
2020-03-24 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2020-03-15 22:45:43 UTC
After doing a web install, in a language other than English, it is necessary to explicitly activate the 'language' and 'opaclanguages' system preferences using the intranet in English!

We could set those preferences using the install language.
Comment 1 Bernardo Gonzalez Kriegel 2020-03-15 23:20:34 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-03-23 13:24:57 UTC
Created attachment 101446 [details] [review]
Bug 24872: Set languages prefererences after install

This patch set 'languages' and 'opaclanguages' system
preferences with the language used during install.

To test:
1. Apply the patch
2. Do a clean install in a language other than english
3. Verify that 'languages' and 'opaclanguages' system
preferences show the language code used during install,
besides english.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2020-03-24 09:22:09 UTC
Created attachment 101522 [details] [review]
Bug 24872: Set languages prefererences after install

This patch set 'languages' and 'opaclanguages' system
preferences with the language used during install.

To test:
1. Apply the patch
2. Do a clean install in a language other than english
3. Verify that 'languages' and 'opaclanguages' system
preferences show the language code used during install,
besides english.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Note: We could even move it first in the list (those prefs are now ordered)
Comment 4 Martin Renvoize 2020-03-24 09:30:22 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 21:44:22 UTC
Backported to 19.11.x for 19.11.05
Comment 6 Lucas Gass 2020-04-13 20:32:24 UTC
backported to 19.05.x for 19.05.10
Comment 7 Hayley Mapley 2020-04-17 02:02:49 UTC
Enhancement will not be backported to 18.11.x series.